import { Component, OnInit } from '@angular/core';
import { RoutePath } from 'src/app/enum/route-path';
import {UserInformation} from "../../models/user-information";

@Component({
  selector: 'app-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrls: ['./sidebar.component.scss']
})
export class SidebarComponent implements OnInit {

  RoutePath = RoutePath;
  userInformation: UserInformation | null = null;


  constructor() { }

  ngOnInit(): void {
    const userInfo = localStorage.getItem('userInformation');
    if (userInfo != null) {
      this.userInformation = JSON.parse(userInfo) as UserInformation;
    }
  }

}
